1 Reply
Leslie McKerchie

Hi Brett!

Adobe Flash Player 10.3 or later, and one of the following browsers:

  • Windows: Internet Explorer 8 and later, Microsoft Edge (latest version), Google Chrome (latest version), Firefox (latest version)
  • Mac: Safari 7 and later, Google Chrome (latest version)

Full details of system requirements can be found here.